import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PickerService, PickerCell } from './picker.service';
export declare class PickerComponent implements ControlValueAccessor, OnDestroy, OnInit {
    private pickerService;
    uiChange: EventEmitter<PickerCell[]>;
    name: string;
    arrowIconClassName: string;
    columnSize: number;
    placeholder: string;
    forId: string;
    value: Array<PickerCell>;
    title: string;
    disabled: any;
    readonly: any;
    data: Array<PickerCell>;
    focus: boolean;
    list: Array<Array<PickerCell>>;
    private _data;
    private _value;
    private onChange;
    private onTouched;
    private _disabled;
    private _readonly;
    private timer;
    private sub;
    private isScrolling;
    constructor(arrowIcon: string, pickerService: PickerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    click(): void;
    hide(): void;
    cellSelected(cell: PickerCell, index: number): void;
    selected(): void;
    writeValue(value: Array<PickerCell>): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    private makeList(startIndex, list?);
    private completionListLength();
}
